  <div class="youtube-video-place" data-yt-url="{{section.settings.videolink}}?autoplay=1">
    <img class="lazyload" data-src="{{section.settings.imagelink | img_url: 'master' }}" data-sizes="(min-width: 1200px) 1200px, 100vw"
    data-srcset="{{section.settings.imagelink | img_url: '200x' }} 200w,
    {{section.settings.imagelink | img_url: '400x' }} 400w,
    {{section.settings.imagelink | img_url: '600x' }} 600w,
    {{section.settings.imagelink | img_url: '800x' }} 800w,
    {{section.settings.imagelink | img_url: '1000x' }} 1000w,
    {{section.settings.imagelink | img_url: '1200x' }} 1200w,
    {{section.settings.imagelink | img_url: '1400x' }} 1400w,
    {{section.settings.imagelink | img_url: '1600x' }} 1600w,
    {{section.settings.imagelink | img_url: '1800x' }} 1800w,
    {{section.settings.imagelink | img_url: '2000x' }} 2000w,
    {{section.settings.imagelink | img_url: '2500x' }} 2500w" class="play-youtube-video">
    <div class="custom-button-container">
      <div class="custom-button">    
        <span>Play Video</span>   
      </div>
    </div>
  </div>
  <script>
  var video_wrapper = $('.youtube-video-place');
  //  Check to see if youtube wrapper exists
  if(video_wrapper.length){
  // If user clicks on the video wrapper load the video.
  $('.play-youtube-video, .custom-button').on('click', function(){
  /* Dynamically inject the iframe on demand of the user.
  Pull the youtube url from the data attribute on the wrapper element. */
  video_wrapper.html('<iframe style="position:absolute; top:0; left:0; width:100%; height:100%;" allowfullscreen allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" frameborder="0" class="embed-responsive-item" src="' + video_wrapper.data('yt-url') + '"></iframe>');
  });
  }
  </script>
  {% schema %}
  {
    "name": "Video Embed com Lazy Load",
    "class": "tsunade-video-embed",
    "settings": [
      {
        "id": "videolink",
        "type": "url",
        "label": "URL do vídeo:"
      },
      {
        "id": "imagelink",
        "type": "image_picker",
        "label": "Imagem:",
        "info": "(largura recomendada: 1500px)"
      }
    ],
    "presets": [
      {
        "name": "Video Embed com Lazy Load",
        "category": "Custom Sections"
      }
    ]
  }
  {% endschema %}

  <style>
  .tsunade-video-embed {
    width:100%;
    margin: auto;
  }

  @media (min-width:1200px) {
    .tsunade-video-embed{
      max-width: 80vw;
    }
  }

  .youtube-video-place { 
    display:flex;
    align-items:center;
    position:relative;
    overflow:hidden;
    padding-top:56.25%;
    width:100%;
  }

  .youtube-video-place img {
    position:absolute; 
    top:0; 
    left:0; 
    width: 100%;
  }

  .youtube-video-place .custom-button-container{ 
    height:auto; 
    text-align: center; 
    width:100%; 
    position:absolute;
    left:0;
    right:0;
    top:0;
    bottom:0;
    padding:0 5%;
    z-index:30;
    margin: 0 auto;
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .youtube-video-place .custom-button{
    text-align: center;  
    font-family: "Open Sans", sans-serif;
    font-weight: normal;
    font-style: normal;
    font-size: 15px;
    color:#FFF;
    text-transform: uppercase;
    letter-spacing: 1px;
    max-width: 60%;
    display: inline-block;
    padding:10px 20px;
    border-radius: 100px;
    border:#FFF solid 1px; 
    cursor: pointer;

  }

  .youtube-video-place .custom-button:hover{
    color:gray;
    background-color:#FFF;
  }

  </style>